import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_CreateCustomActionTypeCommand, se_CreateCustomActionTypeCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class CreateCustomActionTypeCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("CodePipeline_20150709", "CreateCustomActionType", {})
    .n("CodePipelineClient", "CreateCustomActionTypeCommand")
    .f(void 0, void 0)
    .ser(se_CreateCustomActionTypeCommand)
    .de(de_CreateCustomActionTypeCommand)
    .build() {
}
