import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  AcknowledgeJobCommandInput,
  AcknowledgeJobCommandOutput,
} from "../commands/AcknowledgeJobCommand";
import {
  AcknowledgeThirdPartyJobCommandInput,
  AcknowledgeThirdPartyJobCommandOutput,
} from "../commands/AcknowledgeThirdPartyJobCommand";
import {
  CreateCustomActionTypeCommandInput,
  CreateCustomActionTypeCommandOutput,
} from "../commands/CreateCustomActionTypeCommand";
import {
  CreatePipelineCommandInput,
  CreatePipelineCommandOutput,
} from "../commands/CreatePipelineCommand";
import {
  DeleteCustomActionTypeCommandInput,
  DeleteCustomActionTypeCommandOutput,
} from "../commands/DeleteCustomActionTypeCommand";
import {
  DeletePipelineCommandInput,
  DeletePipelineCommandOutput,
} from "../commands/DeletePipelineCommand";
import {
  DeleteWebhookCommandInput,
  DeleteWebhookCommandOutput,
} from "../commands/DeleteWebhookCommand";
import {
  DeregisterWebhookWithThirdPartyCommandInput,
  DeregisterWebhookWithThirdPartyCommandOutput,
} from "../commands/DeregisterWebhookWithThirdPartyCommand";
import {
  DisableStageTransitionCommandInput,
  DisableStageTransitionCommandOutput,
} from "../commands/DisableStageTransitionCommand";
import {
  EnableStageTransitionCommandInput,
  EnableStageTransitionCommandOutput,
} from "../commands/EnableStageTransitionCommand";
import {
  GetActionTypeCommandInput,
  GetActionTypeCommandOutput,
} from "../commands/GetActionTypeCommand";
import {
  GetJobDetailsCommandInput,
  GetJobDetailsCommandOutput,
} from "../commands/GetJobDetailsCommand";
import {
  GetPipelineCommandInput,
  GetPipelineCommandOutput,
} from "../commands/GetPipelineCommand";
import {
  GetPipelineExecutionCommandInput,
  GetPipelineExecutionCommandOutput,
} from "../commands/GetPipelineExecutionCommand";
import {
  GetPipelineStateCommandInput,
  GetPipelineStateCommandOutput,
} from "../commands/GetPipelineStateCommand";
import {
  GetThirdPartyJobDetailsCommandInput,
  GetThirdPartyJobDetailsCommandOutput,
} from "../commands/GetThirdPartyJobDetailsCommand";
import {
  ListActionExecutionsCommandInput,
  ListActionExecutionsCommandOutput,
} from "../commands/ListActionExecutionsCommand";
import {
  ListActionTypesCommandInput,
  ListActionTypesCommandOutput,
} from "../commands/ListActionTypesCommand";
import {
  ListPipelineExecutionsCommandInput,
  ListPipelineExecutionsCommandOutput,
} from "../commands/ListPipelineExecutionsCommand";
import {
  ListPipelinesCommandInput,
  ListPipelinesCommandOutput,
} from "../commands/ListPipelinesCommand";
import {
  ListRuleExecutionsCommandInput,
  ListRuleExecutionsCommandOutput,
} from "../commands/ListRuleExecutionsCommand";
import {
  ListRuleTypesCommandInput,
  ListRuleTypesCommandOutput,
} from "../commands/ListRuleTypesCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ListWebhooksCommandInput,
  ListWebhooksCommandOutput,
} from "../commands/ListWebhooksCommand";
import {
  OverrideStageConditionCommandInput,
  OverrideStageConditionCommandOutput,
} from "../commands/OverrideStageConditionCommand";
import {
  PollForJobsCommandInput,
  PollForJobsCommandOutput,
} from "../commands/PollForJobsCommand";
import {
  PollForThirdPartyJobsCommandInput,
  PollForThirdPartyJobsCommandOutput,
} from "../commands/PollForThirdPartyJobsCommand";
import {
  PutActionRevisionCommandInput,
  PutActionRevisionCommandOutput,
} from "../commands/PutActionRevisionCommand";
import {
  PutApprovalResultCommandInput,
  PutApprovalResultCommandOutput,
} from "../commands/PutApprovalResultCommand";
import {
  PutJobFailureResultCommandInput,
  PutJobFailureResultCommandOutput,
} from "../commands/PutJobFailureResultCommand";
import {
  PutJobSuccessResultCommandInput,
  PutJobSuccessResultCommandOutput,
} from "../commands/PutJobSuccessResultCommand";
import {
  PutThirdPartyJobFailureResultCommandInput,
  PutThirdPartyJobFailureResultCommandOutput,
} from "../commands/PutThirdPartyJobFailureResultCommand";
import {
  PutThirdPartyJobSuccessResultCommandInput,
  PutThirdPartyJobSuccessResultCommandOutput,
} from "../commands/PutThirdPartyJobSuccessResultCommand";
import {
  PutWebhookCommandInput,
  PutWebhookCommandOutput,
} from "../commands/PutWebhookCommand";
import {
  RegisterWebhookWithThirdPartyCommandInput,
  RegisterWebhookWithThirdPartyCommandOutput,
} from "../commands/RegisterWebhookWithThirdPartyCommand";
import {
  RetryStageExecutionCommandInput,
  RetryStageExecutionCommandOutput,
} from "../commands/RetryStageExecutionCommand";
import {
  RollbackStageCommandInput,
  RollbackStageCommandOutput,
} from "../commands/RollbackStageCommand";
import {
  StartPipelineExecutionCommandInput,
  StartPipelineExecutionCommandOutput,
} from "../commands/StartPipelineExecutionCommand";
import {
  StopPipelineExecutionCommandInput,
  StopPipelineExecutionCommandOutput,
} from "../commands/StopPipelineExecutionCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateActionTypeCommandInput,
  UpdateActionTypeCommandOutput,
} from "../commands/UpdateActionTypeCommand";
import {
  UpdatePipelineCommandInput,
  UpdatePipelineCommandOutput,
} from "../commands/UpdatePipelineCommand";
export declare const se_AcknowledgeJobCommand: (
  input: AcknowledgeJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AcknowledgeThirdPartyJobCommand: (
  input: AcknowledgeThirdPartyJobCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateCustomActionTypeCommand: (
  input: CreateCustomActionTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreatePipelineCommand: (
  input: CreatePipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCustomActionTypeCommand: (
  input: DeleteCustomActionTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePipelineCommand: (
  input: DeletePipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteWebhookCommand: (
  input: DeleteWebhookCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeregisterWebhookWithThirdPartyCommand: (
  input: DeregisterWebhookWithThirdPartyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisableStageTransitionCommand: (
  input: DisableStageTransitionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_EnableStageTransitionCommand: (
  input: EnableStageTransitionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetActionTypeCommand: (
  input: GetActionTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetJobDetailsCommand: (
  input: GetJobDetailsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPipelineCommand: (
  input: GetPipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPipelineExecutionCommand: (
  input: GetPipelineExecutionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPipelineStateCommand: (
  input: GetPipelineStateCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetThirdPartyJobDetailsCommand: (
  input: GetThirdPartyJobDetailsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListActionExecutionsCommand: (
  input: ListActionExecutionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListActionTypesCommand: (
  input: ListActionTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPipelineExecutionsCommand: (
  input: ListPipelineExecutionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPipelinesCommand: (
  input: ListPipelinesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRuleExecutionsCommand: (
  input: ListRuleExecutionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRuleTypesCommand: (
  input: ListRuleTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListWebhooksCommand: (
  input: ListWebhooksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_OverrideStageConditionCommand: (
  input: OverrideStageConditionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PollForJobsCommand: (
  input: PollForJobsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PollForThirdPartyJobsCommand: (
  input: PollForThirdPartyJobsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutActionRevisionCommand: (
  input: PutActionRevisionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutApprovalResultCommand: (
  input: PutApprovalResultCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutJobFailureResultCommand: (
  input: PutJobFailureResultCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutJobSuccessResultCommand: (
  input: PutJobSuccessResultCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutThirdPartyJobFailureResultCommand: (
  input: PutThirdPartyJobFailureResultCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutThirdPartyJobSuccessResultCommand: (
  input: PutThirdPartyJobSuccessResultCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutWebhookCommand: (
  input: PutWebhookCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RegisterWebhookWithThirdPartyCommand: (
  input: RegisterWebhookWithThirdPartyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RetryStageExecutionCommand: (
  input: RetryStageExecutionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RollbackStageCommand: (
  input: RollbackStageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartPipelineExecutionCommand: (
  input: StartPipelineExecutionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopPipelineExecutionCommand: (
  input: StopPipelineExecutionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateActionTypeCommand: (
  input: UpdateActionTypeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePipelineCommand: (
  input: UpdatePipelineCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_AcknowledgeJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AcknowledgeJobCommandOutput>;
export declare const de_AcknowledgeThirdPartyJobCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AcknowledgeThirdPartyJobCommandOutput>;
export declare const de_CreateCustomActionTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCustomActionTypeCommandOutput>;
export declare const de_CreatePipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePipelineCommandOutput>;
export declare const de_DeleteCustomActionTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCustomActionTypeCommandOutput>;
export declare const de_DeletePipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePipelineCommandOutput>;
export declare const de_DeleteWebhookCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteWebhookCommandOutput>;
export declare const de_DeregisterWebhookWithThirdPartyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeregisterWebhookWithThirdPartyCommandOutput>;
export declare const de_DisableStageTransitionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisableStageTransitionCommandOutput>;
export declare const de_EnableStageTransitionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<EnableStageTransitionCommandOutput>;
export declare const de_GetActionTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetActionTypeCommandOutput>;
export declare const de_GetJobDetailsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetJobDetailsCommandOutput>;
export declare const de_GetPipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPipelineCommandOutput>;
export declare const de_GetPipelineExecutionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPipelineExecutionCommandOutput>;
export declare const de_GetPipelineStateCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPipelineStateCommandOutput>;
export declare const de_GetThirdPartyJobDetailsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetThirdPartyJobDetailsCommandOutput>;
export declare const de_ListActionExecutionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListActionExecutionsCommandOutput>;
export declare const de_ListActionTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListActionTypesCommandOutput>;
export declare const de_ListPipelineExecutionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPipelineExecutionsCommandOutput>;
export declare const de_ListPipelinesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPipelinesCommandOutput>;
export declare const de_ListRuleExecutionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRuleExecutionsCommandOutput>;
export declare const de_ListRuleTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRuleTypesCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_ListWebhooksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListWebhooksCommandOutput>;
export declare const de_OverrideStageConditionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<OverrideStageConditionCommandOutput>;
export declare const de_PollForJobsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PollForJobsCommandOutput>;
export declare const de_PollForThirdPartyJobsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PollForThirdPartyJobsCommandOutput>;
export declare const de_PutActionRevisionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutActionRevisionCommandOutput>;
export declare const de_PutApprovalResultCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutApprovalResultCommandOutput>;
export declare const de_PutJobFailureResultCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutJobFailureResultCommandOutput>;
export declare const de_PutJobSuccessResultCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutJobSuccessResultCommandOutput>;
export declare const de_PutThirdPartyJobFailureResultCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutThirdPartyJobFailureResultCommandOutput>;
export declare const de_PutThirdPartyJobSuccessResultCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutThirdPartyJobSuccessResultCommandOutput>;
export declare const de_PutWebhookCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutWebhookCommandOutput>;
export declare const de_RegisterWebhookWithThirdPartyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegisterWebhookWithThirdPartyCommandOutput>;
export declare const de_RetryStageExecutionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RetryStageExecutionCommandOutput>;
export declare const de_RollbackStageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RollbackStageCommandOutput>;
export declare const de_StartPipelineExecutionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartPipelineExecutionCommandOutput>;
export declare const de_StopPipelineExecutionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopPipelineExecutionCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateActionTypeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateActionTypeCommandOutput>;
export declare const de_UpdatePipelineCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePipelineCommandOutput>;
